ranges::v3::action::take_fn::ConceptImpl Struct Reference

## Public Member Functions

template<typename Rng , typename T , typename I = iterator_t<Rng>, typename S = sentinel_t<Rng>, typename D = range_difference_type_t<Rng>>
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< concepts::ForwardRange, Rng >(), concepts::model_of< concepts::ErasableRange, Rng, I, S >(), concepts::model_of< concepts::ConvertibleTo, T, D >()))